PUT_UNALIGNED(9)

NAME
put_unaligned - put value to a possibly mis-aligned location

SYNOPSIS

put_unaligned (val, ptr);

ARGUMENTS

val value to place

ptr pointer to location

DESCRIPTION

This macro should be used for placing values larger in size than single bytes at locations that are expected to be improperly aligned, e.g. writing a u16 value to a location not u16-aligned.

Note that unaligned accesses can be very expensive on some architectures.